GNU bug report logs - #60901
[PATCH 03/25] gnu: Add go-golang-org-x-exp.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Katherine Cox-Buday <cox.katherine.e@HIDDEN>; Keywords: patch; merged with #60898, #60899, #60900, #60902, #60903, #60904, #60905, #60906, #60907, #60908, #60909, #60910, #60911, #60912, #60913, #60914, #60915, #60916, #60917, #60918, #60919, #60920, #60921, #60922; dated Wed, 18 Jan 2023 01:46:03 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.
Merged 60898 60899 60900 60901 60902 60903 60904 60905 60906 60907 60908 60909 60910 60911 60912 60913 60914 60915 60916 60917 60918 60919 60920 60921 60922. Request was from Katherine Cox-Buday <cox.katherine.e@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 60898 60899 60900 60901 60902 60903 60904 60905 60906 60907 60908 60909 60910 60911 60912 60913 60914 60915 60916 60917 60918 60919 60920 60921 60922. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 60898 60899 60900 60901 60902 60903 60904 60905 60906 60907 60908 60909 60910 60911 60912 60913 60914 60915 60916 60917 60918 60919 60920. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 60898 60899 60900 60901 60902 60903 60904 60905 60906 60907 60908 60909 60910 60911 60912 60913 60914 60915 60916 60917 60918. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 60898 60899 60900 60901 60902 60903 60904 60905 60906 60907 60908 60909 60910 60911 60912 60913 60914. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 60898 60899 60900 60901 60902 60903 60904 60905 60906 60907 60908 60909 60910. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 60898 60899 60900 60901 60902 60903 60904 60905 60906. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 60898 60899 60900 60901 60902. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 18 Jan 2023 01:45:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 17 20:45:26 2023
Received: from localhost ([127.0.0.1]:38595 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pHxW1-0007Te-TG
	for submit <at> debbugs.gnu.org; Tue, 17 Jan 2023 20:45:26 -0500
Received: from lists.gnu.org ([209.51.188.17]:60118)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <cox.katherine.e@HIDDEN>) id 1pHxVv-0007SN-Jb
 for submit <at> debbugs.gnu.org; Tue, 17 Jan 2023 20:45:23 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <cox.katherine.e@HIDDEN>)
 id 1pHxVt-00021F-9m
 for guix-patches@HIDDEN; Tue, 17 Jan 2023 20:45:18 -0500
Received: from mail-il1-x12f.google.com ([2607:f8b0:4864:20::12f])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <cox.katherine.e@HIDDEN>)
 id 1pHxVr-0006wC-3G
 for guix-patches@HIDDEN; Tue, 17 Jan 2023 20:45:17 -0500
Received: by mail-il1-x12f.google.com with SMTP id i1so12885626ilu.8
 for <guix-patches@HIDDEN>; Tue, 17 Jan 2023 17:45:14 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=aDuFWPdG1fduO447u4pybKUUjYjk8W34DwPe+nH+M28=;
 b=LeWoR0EsJ1xfEFOJlFsN6V2wOHKIXg4vEa7jyIZK21mX+dKCl/HjsYkEnbAs62F8Uu
 yA3vAX5Qe/z3iSU5ZpDqTKiIpP920vd42S9+4mXXO5/T/DjGgYt1tzRBQuzJHfsLQKXH
 s/SMkV9v2hqcq+0vsXlF2hetvkNJtBn9yNIHwe1068gunfUVe6xyA9ZUK2STv6TzNScu
 Pg0hiPfUuk4G95RY1CoOlC8zj6c/+wwG7+RyYYrwdyQvucNP8BPHyG6bvY7gD1vSrmw6
 zeQWkXo9OxcEL5dofyygTEjTebulFHyUSK+ytEH8SNTsB22qtTDjFdN+qd9Fjehu4/TG
 aFnQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=aDuFWPdG1fduO447u4pybKUUjYjk8W34DwPe+nH+M28=;
 b=nhUlUQ1/IykrI+N7ItIVPS/thll716NYM8+a1PMO/VkSzPtMmmKNolKomlI5gFgYGq
 ziXP99aMrkfCtxyKBd5DQn/AhA1gPjo4pHY7I114HoTukh4AoX2DuK3Iihk0PD6efYxt
 ONCv4sogGy8Cn1D1SrGDUcyQUfiYbYFEMM/tXY7SiFoPk0O5YtK1jQ2bOtQR/fRBqnKP
 UCdFVgiVSXjlk39Agd+UiOIg4HQRz+g5Mufk16Fx0OKRP5BXKI/2A/U770dCAO4BbHI1
 g+vG1bVyxoEgdbX6qNLYKDBaS5xsZoM+YxJcc/TmZfUH5dZTWrvnAG8ZnQZGUMM2bclc
 j7WQ==
X-Gm-Message-State: AFqh2kqBXMDycRShkJAfqllNiOX0IKDygxQr9JAjeD9ivphdc8b+UKRo
 NQXI0jS7D/unpRqcmal7qWmdIJ71ivA=
X-Google-Smtp-Source: AMrXdXuPPlrv+zhja2+R+iIC7ammKvtP6XQF7FMcbu8w4QE2HSpdoDbBs759s+BFPPMciwRByi2d/w==
X-Received: by 2002:a05:6e02:dc5:b0:30c:d46:de86 with SMTP id
 l5-20020a056e020dc500b0030c0d46de86mr17363035ilj.26.1674006314052; 
 Tue, 17 Jan 2023 17:45:14 -0800 (PST)
Received: from washu-v4.home.cox-buday.com
 (c-174-51-139-101.hsd1.co.comcast.net. [174.51.139.101])
 by smtp.gmail.com with ESMTPSA id
 p32-20020a056638192000b0039e89ea68f9sm7889250jal.135.2023.01.17.17.45.13
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 17 Jan 2023 17:45:13 -0800 (PST)
From: Katherine Cox-Buday <cox.katherine.e@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH 03/25] gnu: Add go-golang-org-x-exp.
Date: Tue, 17 Jan 2023 18:44:48 -0700
Message-Id: <20230118014510.19320-4-cox.katherine.e@HIDDEN>
X-Mailer: git-send-email 2.38.1
In-Reply-To: <20230118014510.19320-1-cox.katherine.e@HIDDEN>
References: <20230118014510.19320-1-cox.katherine.e@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
Received-SPF: pass client-ip=2607:f8b0:4864:20::12f;
 envelope-from=cox.katherine.e@HIDDEN; helo=mail-il1-x12f.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
Cc: Katherine Cox-Buday <cox.katherine.e@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

* gnu/packages/golang.scm (go-golang-org-x-exp): New variable.
---
 gnu/packages/golang.scm | 27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 5e7fd1fa82..861640435e 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -2855,6 +2855,33 @@ (define-public go-github-com-hashicorp-hcl-v2
     (home-page "https://github.com/hashicorp/hcl")
     (license license:mpl2.0)))
 
+(define-public go-golang-org-x-exp
+  (package
+    (name "go-golang-org-x-exp")
+    (version "0.0.0-20221004215720-b9f4876ce741")
+    (source (origin
+              (method git-fetch)
+              (uri (git-reference
+                    (url "https://go.googlesource.com/exp")
+                    (commit (go-version->git-ref version))))
+              (file-name (git-file-name name version))
+              (sha256
+               (base32
+                "030b929xyg8dpp6f4qbyg63msi6zgzj9sqmvnyphfcrjkqf7nr41"))))
+    (build-system go-build-system)
+    (arguments
+     '(#:import-path "golang.org/x/exp"
+       ;; Source-only package
+       #:tests? #f
+       #:phases (modify-phases %standard-phases
+                  (delete 'build))))
+    (home-page "https://golang.org/x/exp")
+    (synopsis "Experimental and deprecated Go packages")
+    (description
+     "This subrepository holds experimental and deprecated (in the @code{old}
+directory) packages.")
+    (license license:bsd-3)))
+
 (define-public go-golang-org-x-tools
   (let ((commit "8b927904ee0dec805c89aaf9172f4459296ed6e8")
         (revision "0"))
-- 
2.38.1





Acknowledgement sent to Katherine Cox-Buday <cox.katherine.e@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#60901; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 18 Jan 2023 17:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.